﻿using System;

using Microsoft.Extensions.Logging;

namespace Platform.Logging
{
    public struct PlatformBatchLoggerMessage
    {
        public DateTime Timestamp { get; set; }

        public string Category { get; set; }

        public LogLevel LogLevel { get; set; }

        public EventId EventId { get; set; }

        public Exception Exception { get; set; }

        public string Message { get; set; }

        public int ThreadId { get; set; }
    }    
}
