﻿using System;
using System.Data;
using System.Diagnostics;
using System.Threading;

using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Configuration;

namespace Platform.Logging.ConsoleLogger
{
    /// <summary>
    /// Database logger
    /// </summary>
    public class PlatformConsoleLogger : PlatformBatchLogger<PlatformConsoleLoggerOptions>
    {
        /// <summary>
        /// Construct logger
        /// </summary>
        /// <param name="category"></param>
        /// <param name="settings"></param>
        public PlatformConsoleLogger( PlatformConsoleLoggerProvider provider, string category)
            : base( provider, category )
        {
        }
    }
}
